Subject: Announcing gitsync-nncp

From: John Goerzen <[email-masked]>
Date: Wed, 18 Aug 2021 11:16:14 -0500

Hi folks,

There is a reason I have been asking a lot of questions about 
areas lately.  It's that I am now using NNCP to keep git repos on 
three computers in sync with each other.

The program to do this is gitsync-nncp, which you can find at 
https://github.com/jgoerzen/gitsync-nncp

The manual for it, at 
https://github.com/jgoerzen/gitsync-nncp/blob/main/gitsync-nncp.org 
, goes into a lot of detail about the use case and how it works.

I am finding this EXTREMELY slick, better than Dropbox, Syncthing, 
or a pure git server for my use case.

The documentation also highlights a way to integrate gpg with the 
system, if you want another layer of crypto before NNCP for 
whatever reason.

Additionally, as part of the work for this project, I have 
published an article on using NNCP with sudo here:

https://github.com/jgoerzen/nncp-tools/blob/main/docs/nncp-sudo.org

I hope to have time in the next couple of weeks to get NNCP 
working on public-access Unix systems at SDF.org and tilde. 
Additionally, I hope to be able to offer Usenet feeds over NNCP in 
the next month or so.

- John